### A free/open-source library for quantitative finance

Public Member Functions
OptionletStripper1 Class Reference

`#include <ql/termstructures/volatility/optionlet/optionletstripper1.hpp>`

Inheritance diagram for OptionletStripper1:
[legend]

List of all members.

## Public Member Functions

| OptionletStripper1 (const boost::shared_ptr< CapFloorTermVolSurface > &, const boost::shared_ptr< IborIndex > &index, Rate switchStrikes=Null< Rate >(), Real accuracy=1.0e-6, Natural maxIter=100)
const Matrix & | capFloorPrices () const
const Matrix & | capFloorVolatilities () const
const Matrix & | optionletPrices () const
Rate | switchStrike () const
LazyObject interface
void | performCalculations () const

## Detailed Description

Helper class to strip optionlet (i.e. caplet/floorlet) volatilities (a.k.a. forward-forward volatilities) from the (cap/floor) term volatilities of a CapFloorTermVolSurface.

## Member Function Documentation

void performCalculations | ( |  | ) | const`[virtual]`

This method must implement any calculations which must be (re)done in order to calculate the desired results.

Implements LazyObject.